PixMind Docs
Api referenceLlmDeepseek v4 flash

DeepSeek V4 Flash Chat Completions

Call DeepSeek V4 Flash through PixMind for cost-efficient extraction, classification, rewriting, summaries, and lightweight coding.

DeepSeek V4 Flash is the cost-efficient DeepSeek V4 text route in PixMind. Use its one-million-token context for high-volume content operations and lightweight coding through the OpenAI-compatible chat completions endpoint.

DeepSeek V4 Flash through PixMind's OpenAI-compatible chat completions endpoint.

Provider

DeepSeek

Model ID

deepseek-v4-flash

Endpoint

POST /api-platform/v1/chat/completions

Model notes

  • Keep the API key on your server and use streaming when the client needs incremental output.

Request parameters

ParameterTypeRequiredDescription
modelstringYes

Stable PixMind model ID. Use `deepseek-v4-flash`.

Allowed values: deepseek-v4-flash

messagesarrayYes

OpenAI-compatible chat messages. Gemini user content may be a string or an array of text, image_url, and video_url blocks.

max_tokensintegerNo

Maximum number of completion tokens to generate.

Default: 4096

temperaturenumberNo

Sampling temperature for the response.

Allowed values: 0, 0.5, 1, 2

Default: 1

streambooleanNo

Return tokens incrementally when enabled.

Allowed values: true, false

Default: false

Request example

cURL
curl https://aihub-admin.aimix.pro/api-platform/v1/chat/completions \
  -H "Authorization: Bearer $PIXMIND_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "deepseek-v4-flash",
  "messages": [
    {
      "role": "user",
      "content": "Draft three launch concepts for this product."
    }
  ],
  "stream": false
}'
JavaScript
const response = await fetch("https://aihub-admin.aimix.pro/api-platform/v1/chat/completions", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${process.env.PIXMIND_API_KEY}`,
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "model": "deepseek-v4-flash",
  "messages": [
    {
      "role": "user",
      "content": "Draft three launch concepts for this product."
    }
  ],
  "stream": false
})
});

const task = await response.json();

Accepted task response

Generation is asynchronous. Save taskId and poll GET /api-platform/v1/tasks/{taskId} until status is ready or failed.

200 OK
{
  "code": 1000,
  "data": {
    "id": "img_44160",
    "taskId": 44160,
    "type": "image",
    "model": "deepseek-v4-flash",
    "status": "processing"
  }
}

API pricing

ConfigurationPrice
Input tokens352.8 credits / 1M tokens
Output tokens1058.4 credits / 1M tokens
Cache read11.76 credits / 1M tokens

API pricing uses the apiPlatform role and is separate from PixMind Studio credits. The accepted task response is the final pricing snapshot.